DocsAPI ReferenceTerminal/bff/terminal/interact
postTerminalAdmin BFF

/bff/terminal/interact

Respond to interactive prompt

TerminalpostBffTerminalInteract

Parameters

4 body

4 total
Body · 4
cwdstring

Current working directory

commandIdstringRequired

ID of the command awaiting input

interactionIdstringRequired

ID of the specific prompt to answer

valueboolean | string | numberRequired

User-provided response value

Request

POST /bff/terminal/interact

post
curl -X POST "https://api.bizkithub.com/bff/terminal/interact" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "cwd": "/drive",
  "commandId": "example_commandId",
  "interactionId": "example_interactionId"
}'

Response

JSON payload

{
  "commandId": "example_commandId",
  "outputs": [],
  "cwd": "/drive",
  "duration": 0
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key